<?
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|        Wajax Theme for PHP-Fusion v6        |
|---------------------------------------------|
| author: PHP-Fusion Themes - Shedrock  2005 |
| web: http://phpfusion.org                   |
| email: webmaster@phpfusion.org              |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

// theme settings
$body_text = "#626C6F";
$body_bg = "#E8EAEA";
$theme_width = "100%";
$theme_width_l = "165";
$theme_width_r = "165";

function render_header($header_content) {

global $theme_width,$settings;

	echo "<table cellSpacing='0' align='center' cellPadding='0' width='975' align='center' border='0' vspace='0'><tr>";
	echo "<td colSpan='3'><img alt src='".THEME."images/logo.jpg' width='975' height='80'></td></tr>";
	echo "<tr><td><img alt src='".THEME."images/head_leftside.gif' width='40' height='26'></td>";
	echo "<td align='center' width='895' background='".THEME."images/nav.gif' bgcolor='#EAEAEA'>";

$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
if (dbrows($result) != 0) {
	$i = 0;
	while($data = dbarray($result)) {
		if (checkgroup($data['link_visibility'])) {
			if ($data['link_url']!="---") {
				if ($i != 0) { echo " <img src='".THEME."images/div.gif'>\n"; } else { echo "\n"; }
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo "<a href='".$data['link_url']."'".$link_target.">".$data['link_name']."</a>";
				} else {
					echo "<a class='navbar' href='".BASEDIR.$data['link_url']."'".$link_target.">".$data['link_name']."</a>";
				}
			}
			$i++;
		}
	}
}
	echo ($i == 0 ? "&nbsp;" : "")."</td>";
	echo "<td><img alt src='".THEME."images/head_rightside.gif' width='40' height='26'></td></tr>";
	echo "<tr><td colSpan='3'><img alt src='".THEME."images/mid-banner.gif' width='974' height='25'></td></tr> ";
	echo "<tr><td background='".THEME."images/left-side.gif'>&nbsp;</td>";
	echo "<td bgColor='#fcfcfc' height='388'><table cellSpacing='0' cellPadding='0' width='100%' border='0'>";
	echo "<tr vAlign='top'><table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
}

function render_footer($license=false) {
global $theme_width,$locale,$settings;

	echo "</tr>\n</table>";
	echo "<span class='footer'>".stripslashes($settings['footer'])."</span>";
	echo "<div align='center'><span class='footer'><b>".$settings['counter']."</b> ".($settings['counter'] == 1 ? $locale['140']."\n" : $locale['141']."</span></div>\n");
	echo "<td background='".THEME."images/right-side.gif'></td></tr>";
	echo "<tr><td class='footer' align='center' colspan='3' width='975' height='59' background='".THEME."images/footer.gif'><br>";
		if ($license == false) {
	echo "Powered by <a target='_blank' href='http://www.php-fusion.co.uk'><img src='".THEME."images/fusion.gif' title='PHP-Fusion' style='vertical-align:middle;'></a> v".$settings['version']." &copy; 2003-2005";
	}
	echo " | Wajax Theme by: <a target='_blank' href='http://phpfusion.org/'><img src='".THEME."images/fthemes.gif' title='PHP-Fusion Themes' style='vertical-align:middle;'></a>";
	echo"</td></tr></table> ";
}

function render_news($subject, $news, $info) {
	
global $locale;
	
	echo "<table bgcolor='#ABA8A0' border='0' style='border: 1px solid #DFDFDF' cellspacing='0' width='100%' cellpadding='3'><tr>";
	echo "<td class='panel2'><img align='right' border='0' src='".THEME."images/bevel.gif'>$subject</td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='border2'><tr>";
	echo "<td><table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='news-body'>$news</td></tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='news-footer'>&nbsp;";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['news_date'])." </td>";
	echo "<td height='24' align='right' class='news-footer'>";
	echo "".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."'>".$locale['042']."</a> \n" : "")."";
	if ($info['news_allow_comments']) 
	echo "<a href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a>  ";
	echo "".$info['news_reads'].$locale['044']." ";
	echo "<a href='print.php?type=N&item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></td></tr></table>\n";
}

function render_article($subject, $article, $info) {
	
global $locale;
	
	echo "<table bgcolor='#ABA8A0' border='0' style='border: 1px solid #DFDFDF' cellspacing='0' width='100%' cellpadding='3'><tr>";
	echo "<td class='panel2'><img align='right' border='0' src='".THEME."images/bevel.gif'>$subject</td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='border2'><tr>";
	echo "<td><table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='news-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."";
	echo "</td></tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='news-footer'>";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['article_date'])."</td>";
	echo "<td height='24' align='right' class='news-footer'>";
	if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']."  ";
	echo "".$info['article_reads'].$locale['044']." ";
	echo "<a href='print.php?type=A&item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</td></tr></table></td></tr></table>\n";
}

// Open table begins
function opentable($title) {

	echo "<table bgcolor='#ABA8A0' border='0' width='100%' cellpadding='2' cellspacing='0' style='border: 1px solid #DFDFDF'>";
	echo "<tr><td class='panel'>";
	echo "<img align='right' border='0' src='".THEME."images/bevel.gif'>$title</td></tr>";
	echo "<tr><td class='main-body' width='100%'>";
}

// Close table end
function closetable() {
	echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>";
	echo "<tr><td height='12' width='100%'></td></tr></table>";
	echo "</td></tr></table>";
}

function openside($title) {

	echo "<table bgcolor='#ABA8A0' border='0' style='border: 1px solid #DFDFDF' cellspacing='0' width='100%' cellpadding='0'><tr>";
	echo "<td width='100%' class='panel'>";
	echo "<img align='right' border='0' src='".THEME."images/bevel.gif'>$title</td></tr>";
	echo "<tr><td class='side-body' width='100%'>";
}

function closeside() {
	echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>";
	echo "<tr><td height='12' width='100%'></td></tr></table>";
	echo "</td></tr></table>";
	tablebreak();
}

function opensidex($title,$open="on") {

$box_img = ($open=="on" ? "off" : "on");
	echo "<table bgcolor='#ABA8A0' border='0' style='border: 1px solid #DFDFDF' cellspacing='0' width='100%' cellpadding='0'><tr>";
	echo "<td width='100%' class='panel'>";
	echo "<img align='right' onclick=\"javascript:flipBox('$title')\" name='b_$title' alt='$box_img' border='0' src='".THEME."images/panel_$box_img.gif'>$title</td></tr>";
	echo "<tr><td class='side-body' width='100%'>";
	echo "<div id='box_$title'".($open=="off" ? "style='display:none'" : "").">\n";

}

function closesidex() {

	echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'>";
	echo "<tr><td height='12' width='100%'></td></tr></table>";
	echo "</td></tr></table>";
	tablebreak();
}

function tablebreak() {

echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td height='5'></td></tr></table>\n";

}
?>